Module java.desktop
Package javax.swing.plaf.basic

# Class BasicSliderUI.PropertyChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicSliderUI.PropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Direct Known Subclasses:
  `MetalSliderUI.MetalPropertyListener`

Enclosing class:
  BasicSliderUI

    public class BasicSliderUI.PropertyChangeHandler
    extends Object
    implements PropertyChangeListener

A property change handler.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PropertyChangeHandler()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.beans.PropertyChangeListener

`propertyChange`

## Constructor Details

### PropertyChangeHandler

public PropertyChangeHandler()